hw_api->checkin
hw_api->children
Hyperwave API Functions
PHP Manual

# hw_api->checkout

(PHP 4, PHP 5 < 5.2.0, PECL hwapi SVN)

hw_api->checkout — Checks out an object

### Description

hw_api
bool checkout ( array `$parameter` )

This function checks out an object or a whole hierarchy of objects.

### Parameters

`parameter`

  The parameters array contains the required element 'objectIdentifier' and the optional element 'version', 'mode' and 'objectQuery'. 'mode' can be one of the following values:

  `HW_API_CHECKIN_NORMAL`
    Checks out an object. The object must be a document.
  `HW_API_CHECKIN_RECURSIVE`
    If the object to check out is a collection, all children will be checked out recursively if they are documents. Trying to check out a collection would result in an error.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- hw_api->checkin

hw_api->checkin
hw_api->children
Hyperwave API Functions
PHP Manual